import logging


def createLogger(filename=None):
  logger = logging.getLogger(__name__)
  logger.propagate = False
  logger.setLevel(logging.DEBUG)
  if filename:
    handler = logging.FileHandler(filename)
  else:
    handler = logging.StreamHandler()
  handler.setLevel(logging.DEBUG)
  formatter = logging.Formatter()
  handler.setFormatter(formatter)
  logger.addHandler(handler)
  return logger
